about summary refs log tree commit diff
path: root/test
diff options
context:
space:
mode:
authorvan Hauser <vh@thc.org>2024-09-24 11:57:36 +0300
committerGitHub <noreply@github.com>2024-09-24 11:57:36 +0300
commitd21fb1a558b25c4f46692fa999c0028dfe0eecc0 (patch)
treec503336edd8dc0ee4f8385c0fbc91a5e818ffcfb /test
parent75d8c47a6b8ae94cd7ded2f0574e4d35a2021ab7 (diff)
parent2e6c74f9b9d3bc70ef9474eb08592b9cd151d3c7 (diff)
downloadafl++-d21fb1a558b25c4f46692fa999c0028dfe0eecc0.tar.gz
Merge pull request #2214 from AFLplusplus/dev
push to stable
Diffstat (limited to 'test')
-rwxr-xr-xtest/test-llvm.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/test-llvm.sh b/test/test-llvm.sh
index 4dd35e6e..8236d138 100755
--- a/test/test-llvm.sh
+++ b/test/test-llvm.sh
@@ -269,9 +269,9 @@ test -e ../afl-clang-fast -a -e ../split-switches-pass.so && {
     {
       mkdir -p in
       echo 00000000000000000000000000000000 > in/in
-      AFL_BENCH_UNTIL_CRASH=1 ../afl-fuzz -Z -l 3 -m none -V30 -i in -o out -c 0 -- ./test-cmplog >>errors 2>&1
+      AFL_BENCH_UNTIL_CRASH=1 AFL_NO_CRASH_README=1 AFL_SHA1_FILENAMES=1 ../afl-fuzz -Z -l 3 -m none -V30 -i in -o out -c 0 -- ./test-cmplog >>errors 2>&1
     } >>errors 2>&1
-    test -n "$( ls out/default/crashes/id:000000* out/default/hangs/id:000000* 2>/dev/null )" && {
+    test -n "$( ls out/default/crashes/* out/default/hangs/* 2>/dev/null )" && {
       $ECHO "$GREEN[+] afl-fuzz is working correctly with llvm_mode cmplog"
     } || {
       echo CUT------------------------------------------------------------------CUT
@@ -280,6 +280,10 @@ test -e ../afl-clang-fast -a -e ../split-switches-pass.so && {
       $ECHO "$RED[!] afl-fuzz is not working correctly with llvm_mode cmplog"
       CODE=1
     }
+    test -n "$( ls out/default/crashes/id:000000* out/default/hangs/id:000000* 2>/dev/null )" && {
+      $ECHO "$RED[!] filenames are not SHA1"
+      CODE=1
+    } || true
   } || {
     $ECHO "$YELLOW[-] we cannot test llvm_mode cmplog because it is not present"
     INCOMPLETE=1